---
title: "Purchasing and managing Additional IPs"
description: "Learn how to order and manage Additional IPs with OVHcloud."
url: https://docs.us.ovhcloud.com/en/network/additional-ip/purchasing-managing-additional-ips
lang: en
---
> For AI agents: the complete documentation index is available at https://docs.us.ovhcloud.com/en/llms.txt, the full documentation bundle is available at https://docs.us.ovhcloud.com/en/llms-full.txt.

# Purchasing and managing Additional IPs

**Learn how to order and manage Additional IPs with OVHcloud.**

Additional IPs are IP addresses that can be easily moved from one device to another. This makes them optimal for networking VMs on a Dedicated Server, load balancing, IP aliasing, and many other use cases.

 

## Topics

- [Basic Networking with an Additional IP](#basic-networking-with-an-additional-ip)
- [Purchasing Additional IPs](#purchasing-additional-ips)
- [Using an Additional IP in the OVHcloud Control Panel](#using-an-additional-ip-in-the-ovhcloud-control-panel)
- [Canceling Additional IP addresses](#canceling-additional-ip-addresses)

 

## Basic Networking with an Additional IP

In this section, we will cover a couple of concepts about additional IPs that are important to understand from a networking perspective. While additional IPs can be purchased in blocks as small as /32 or as large as /24, the CIDR notation only indicates how many IPs you get. It does not denote a subnet. Every IP is routed through the host. This means that every IP a customer purchases can be used since no addresses need to be reserved for network, broadcast, or gateway.

Your gateway IP address will be determined independently of your additional IP block. At OVHcloud, we reserve the last available IP in each /24 subnet (not including the broadcast address) for a gateway address. Additionally, all Dedicated Servers are given an IP on a /24 subnet. This means a Dedicated Server's gateway will always be the first three octets of its IP, followed by .254. For example, if your Dedicated Server's IP was 203.0.113.34, its gateway would be 203.0.113.254. Since additional IPs are routed through the host, any VM or other service using the additional IP would also use this as the gateway address.

 

## Instructions

### Purchasing Additional IPs

#### via OVHcloud Control Panel

From the [OVHcloud Control Panel](https://manager.us.ovhcloud.com/), navigate to the `IP` section via the `Network` menu.
Click `+ Order IPs` at the top of the page.

**Note:** If you are interested in bringing your own IP, see [this guide](https://docs.us.ovhcloud.com/en/network/bring-your-own-ip/bring-your-own-ip.md).

On the next screen, choose `IPv4`.

**Note:** If you are interested in IPv6, see [this guide](https://docs.us.ovhcloud.com/en/bare-metal-cloud/dedicated-servers/configure-ipv6-in-vrack.md).

Select the service to which you want the Additional IP to be attached and click `Next`.

Click `Additional IP`. You can order more Additional IPs using the `+` button.

#### Information about IPv4 Additional IP blocks

If you choose to purchase an Additional IP block, your choices are 1 (/32), 4 (/30), 8 (/29), 16 (/28), 32 (/27), 64 (/26), 128 (/25), and 256 (/24).

**Warning:** **NOTE:** By selecting one (/32) IP address, you have the option to purchase up to 16 individual IP addresses, but in one order. These IP addresses will be handled individually, which means they can be separately assigned to different servers/services.
Additionally, if you purchase a block of 4 IPs (/30) or greater, the IP addresses can still be moved, but as an entire block ONLY. Also, you can set the WHOIS information by using the "Click here to access the organization management" link.

**Important:** **WARNING:** If you elect to create an organization and assign it to a block of IP addresses, that information will be publicly accessible via a WHOIS search and **CANNOT** be changed. If you are unsure how to proceed, we recommend selecting "ARIN\_104".

You will be taken to a new page to review your order and pay for the Additional IP(s). After completing the order, the Additional IP address(es) can be viewed in the [OVHcloud Control Panel](https://manager.us.ovhcloud.com/) by clicking `Network` and then `IP`.

##### via API

#### Create cart

From the [OVHcloud API](https://api.us.ovhcloud.com/), begin by creating a cart:

[POST /order/cart](https://api.us.ovhcloud.com/console/?section=/order&branch=v1#post-/order/cart)

> Parameters:
>
> - **description:** choose a description for your cart
> - **ovhSubsidiary:** US

**Note:** Depending on the version of our API console you are using, you will either leave the **expiration** field blank or delete the expiration line from the request body.

Save the **cartID** from the results.
 
#### Add an Additional IP

Get plan codes:

[GET /order/cart/{cartId}/ip](https://api.us.ovhcloud.com/console/?section=/order&branch=v1#get-/order/cart/-cartId-/ip)

Locate the service you wish to order. In this example, we are using ordering **ip-failover-arin**.
Save the **planCode** from the results.
 
Add the Additional IP to your cart:

[POST /order/cart/{cartId}/ip](https://api.us.ovhcloud.com/console/?section=/order&branch=v1#post-/order/cart/-cartId-/ip)

 
#### Configure your Additional IP

You will need to run the following API call four separate times:

[POST /order/cart/{cartId}/item/{itemId}/configuration](https://api.us.ovhcloud.com/console/?section=/order&branch=v1#post-/order/cart/-cartId-/item/-itemId-/configuration)

Edit the request body each time to add these Label/Value combinations:
| Label       | Value                                                                  |
| ----------- | ---------------------------------------------------------------------- |
| country     | US                                                                     |
| destination | the name of the service to which you want to attach your Additional IP |
| nic         | the primary email address on your account                              |
| region      | us                                                                     |
 
#### Check the configuration (optional)

Get the code for each Label/Value combination.

[GET /order/cart/{cartId}/item/{itemId}/configuration](https://api.us.ovhcloud.com/console/?section=/order&branch=v1#get-/order/cart/-cartId-/item/-itemId-/configuration)

See the details of a Label/Value combination.

[GET /order/cart/{cartId}/item/{itemId}/configuration/{configurationId}](https://api.us.ovhcloud.com/console/?section=/order&branch=v1#get-/order/cart/-cartId-/item/-itemId-/configuration/-configurationId-)

 
#### Assign cart to yourself

[POST /order/cart/{cartId}/assign](https://api.us.ovhcloud.com/console/?section=/order&branch=v1#post-/order/cart/-cartId-/assign)

 
#### Checkout

[POST /order/cart/{cartId}/checkout](https://api.us.ovhcloud.com/console/?section=/order&branch=v1#post-/order/cart/-cartId-/checkout)

Save the **orderId** from the results.
 
#### Payment method

[GET /me/order/{orderId}/availablePaymentMethod](https://api.us.ovhcloud.com/console/?section=/me&branch=v1#get-/me/order/-orderId-/availablePaymentMethod)

Save the **id** of the payment method you wish to use.
 
#### Complete your order

[POST /me/order/{orderId}/pay](https://api.us.ovhcloud.com/console/?section=/me&branch=v1#post-/me/order/-orderId-/pay)

 

## Using an Additional IP in the OVHcloud Control Panel

Once you have ordered the additional IP, you can view it by clicking `Network`, then `IP`. It is easily identified by an **Additional IP** label next to it.

You can order more Additional IPs or bring your own by clicking the buttons near the top of the page next to **Manage IPs**.

You can use the gear icon to manage your organization and the export icon to export your IP addresses to a CSV file.

You can use the following menu to perform a few tasks on your additional IPs: adding a description, moving the additional IP block to another service, parking it, deleting it, and more. You can access this menu by clicking the _more options_ `...` button on the right-hand side of the Additional IP.

**Important:**

**WARNING:** If you delete a Dedicated Server with attached additional IPs, the IPs will be moved to parked. Once IPs have been parked for 31 days, you will be charged $3 per month per IP to keep them on your account. Therefore, if you want to keep these IPs, attach them to another service to avoid this charge.

 

### Canceling Additional IP addresses

From the [OVHcloud Control Panel](https://manager.us.ovhcloud.com/), navigate to the `IP` section via the `Network` menu.

To the right of the Additional IP you wish to cancel, click the _more options_ `...` button.

Select `Terminate Additional IP`.

In the pop-up window, click `Yes, cancel`.

**Important:**

**WARNING:** You will receive an email with instructions to finalize the cancellation of your Additional IP address. Your IP(s) will not be canceled until you complete the instructions in the email.

 

## Go further

Browse all the [Additional IP guides](https://docs.us.ovhcloud.com/en/network/additional-ip/landing-page-additional-ip.md).

Browse the rest of the [OVHcloud US documentation](https://docs.us.ovhcloud.com/en/index.md) for guides on our other products and services.

Learn more about [Additional IP](https://us.ovhcloud.com/network/additional-ip/) on the OVHcloud US website.
